---
title: Terminology
---

## Terminology

There are different systems in the industry for the management of getting, storing and making parts. An overview what they are for and what the acronyms mean.


### Inventory management *(IMS)*
Evolves around manufacturing of parts out of other parts. It keeps track of stock, part origin, orders, shelf live and more.

### Part library management *(PLM)*
Keeps track of BOMs, part variants, possible substitutions, versions, IPNs and further part parameters.  
PLM can also mean product lifecycle management – those systems manage all stages from design through manufacturing up to customer support and recycling.


**InvenTree** is mainly an **IMS**, it also has aspects of a **PLM** integrated.  
A similar system is [Partkeepr](https://partkeepr.org/) (seems mostly inactive - there is a 3rd party importer).

### Asset management *(AM)*
Manages many unique items, which need tracking per part and are assignable to users / groups / locations. These systems often include features like item states, refurbishing / maintenance / reservation, or request-flows.  
Often these systems are used for IT-Hardware (then they are called *ITAM*).  
A good open-source example would be [Snipe-IT](https://snipeitapp.com/).

### Enterprise resource planning *(ERP)*
Is the centre of your business. It manages timesheets, warehousing, finances (prices, taxes, …), customer relations and more. InvenTree covers parts of this but aims to keep an intuitive and simple user interface.  
Popular, fully fledged ERPs are [ERPNext](https://erpnext.com/) or [odoo](https://www.odoo.com).

